Send a long code message
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messages.sendLongCode({ from: '+18445550001', to: '+13125550002' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messages.send_long_code(
from_="+18445550001",
to="+13125550002",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messages.SendLongCode(context.TODO(), telnyx.MessageSendLongCodeParams{
From: "+18445550001",
To: "+13125550002",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messages.MessageSendLongCodeParams;
import com.telnyx.sdk.models.messages.MessageSendLongCodeResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MessageSendLongCodeParams params = MessageSendLongCodeParams.builder()
.from("+18445550001")
.to("+13125550002")
.build();
MessageSendLongCodeResponse response = client.messages().sendLongCode(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messages.send_long_code(from: "+18445550001", to: "+13125550002")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messages->sendLongCode(
from: '+18445550001',
to: '+13125550002',
autoDetect: true,
encoding: 'auto',
mediaURLs: ['http://example.com'],
subject: 'From Telnyx!',
text: 'Hello, World!',
type: 'MMS',
useProfileWebhooks: true,
webhookFailoverURL: 'https://backup.example.com/hooks',
webhookURL: 'http://example.com/webhooks',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messages send-long-code \
--api-key 'My API Key' \
--from +18445550001 \
--to +13125550002curl --request POST \
--url https://api.telnyx.com/v2/messages/long_code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "+18445550001",
"to": "+13125550002",
"text": "Hello, World!",
"subject": "From Telnyx!",
"media_urls": [
"http://example.com"
],
"webhook_url": "http://example.com/webhooks",
"webhook_failover_url": "https://backup.example.com/hooks",
"use_profile_webhooks": true,
"type": "MMS"
}
'{
"data": {
"record_type": "message",
"direction": "outbound",
"id": "40385f64-5717-4562-b3fc-2c963f66afa6",
"type": "MMS",
"messaging_profile_id": "4000eba1-a0c0-4563-9925-b25e842a7cb6",
"organization_id": "b448f9cc-a842-4784-98e9-03c1a5872950",
"from": {
"phone_number": "+18445550001",
"carrier": "TELNYX LLC",
"line_type": "VoIP"
},
"to": [
{
"phone_number": "+18665550001",
"status": "queued",
"carrier": "T-MOBILE USA, INC.",
"line_type": "Wireless"
}
],
"cc": [],
"text": "Hello, World!",
"num_chars": 13,
"subject": "From Telnyx!",
"media": [
{
"url": "https://pbs.twimg.com/profile_images/1142168442042118144/AW3F4fFD_400x400.png",
"content_type": null,
"sha256": null,
"size": null
}
],
"webhook_url": "https://www.example.com/hooks",
"webhook_failover_url": "https://backup.example.com/hooks",
"encoding": "GSM-7",
"parts": 1,
"tags": [
"Greetings"
],
"cost": {
"amount": "0.0051",
"currency": "USD"
},
"cost_breakdown": {
"carrier_fee": {
"amount": "0.00305",
"currency": "USD"
},
"rate": {
"amount": "0.00205",
"currency": "USD"
}
},
"tcr_campaign_id": "TCPA3X7",
"tcr_campaign_billable": true,
"tcr_campaign_registered": "REGISTERED",
"received_at": "2019-01-23T18:10:02.574Z",
"sent_at": null,
"completed_at": null,
"valid_until": null,
"errors": [],
"wait_seconds": 0.5
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Message payload
Phone number, in +E.164 format, used to send the message.
Receiving address (+E.164 formatted phone number or short code).
"+E.164"
Message body (i.e., content) as a non-empty string.
Required for SMS
Subject of multimedia message
A list of media URLs. The total media size must be less than 1 MB.
Required for MMS
The URL where webhooks related to this message will be sent.
The failover URL where webhooks related to this message will be sent if sending to the primary URL fails.
If the profile this number is associated with has webhooks, use them for delivery notifications. If webhooks are also specified on the message itself, they will be attempted first, then those on the profile.
The protocol for sending the message, either SMS or MMS.
SMS, MMS Automatically detect if an SMS message is unusually long and exceeds a recommended limit of message parts.
Encoding to use for the message. auto (default) uses smart encoding to automatically select the most efficient encoding. gsm7 forces GSM-7 encoding (returns 400 if message contains characters that cannot be encoded). ucs2 forces UCS-2 encoding and disables smart encoding. When set, this overrides the messaging profile's smart_encoding setting.
auto, gsm7, ucs2 Response
Successful response with details about a message.
Show child attributes
Show child attributes
{
"record_type": "message",
"direction": "outbound",
"id": "40385f64-5717-4562-b3fc-2c963f66afa6",
"type": "MMS",
"messaging_profile_id": "4000eba1-a0c0-4563-9925-b25e842a7cb6",
"organization_id": "b448f9cc-a842-4784-98e9-03c1a5872950",
"from": {
"phone_number": "+18445550001",
"carrier": "TELNYX LLC",
"line_type": "VoIP"
},
"to": [
{
"phone_number": "+18665550001",
"status": "queued",
"carrier": "T-MOBILE USA, INC.",
"line_type": "Wireless"
}
],
"cc": [],
"text": "Hello, World!",
"num_chars": 13,
"subject": "From Telnyx!",
"media": [
{
"url": "https://pbs.twimg.com/profile_images/1142168442042118144/AW3F4fFD_400x400.png",
"content_type": null,
"sha256": null,
"size": null
}
],
"webhook_url": "https://www.example.com/hooks",
"webhook_failover_url": "https://backup.example.com/hooks",
"encoding": "GSM-7",
"parts": 1,
"tags": ["Greetings"],
"cost": { "amount": "0.0051", "currency": "USD" },
"cost_breakdown": {
"carrier_fee": { "amount": "0.00305", "currency": "USD" },
"rate": { "amount": "0.00205", "currency": "USD" }
},
"tcr_campaign_id": "TCPA3X7",
"tcr_campaign_billable": true,
"tcr_campaign_registered": "REGISTERED",
"received_at": "2019-01-23T18:10:02.574Z",
"sent_at": null,
"completed_at": null,
"valid_until": null,
"errors": [],
"wait_seconds": 0.5
}
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messages.sendLongCode({ from: '+18445550001', to: '+13125550002' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messages.send_long_code(
from_="+18445550001",
to="+13125550002",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messages.SendLongCode(context.TODO(), telnyx.MessageSendLongCodeParams{
From: "+18445550001",
To: "+13125550002",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messages.MessageSendLongCodeParams;
import com.telnyx.sdk.models.messages.MessageSendLongCodeResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MessageSendLongCodeParams params = MessageSendLongCodeParams.builder()
.from("+18445550001")
.to("+13125550002")
.build();
MessageSendLongCodeResponse response = client.messages().sendLongCode(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messages.send_long_code(from: "+18445550001", to: "+13125550002")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messages->sendLongCode(
from: '+18445550001',
to: '+13125550002',
autoDetect: true,
encoding: 'auto',
mediaURLs: ['http://example.com'],
subject: 'From Telnyx!',
text: 'Hello, World!',
type: 'MMS',
useProfileWebhooks: true,
webhookFailoverURL: 'https://backup.example.com/hooks',
webhookURL: 'http://example.com/webhooks',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messages send-long-code \
--api-key 'My API Key' \
--from +18445550001 \
--to +13125550002curl --request POST \
--url https://api.telnyx.com/v2/messages/long_code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "+18445550001",
"to": "+13125550002",
"text": "Hello, World!",
"subject": "From Telnyx!",
"media_urls": [
"http://example.com"
],
"webhook_url": "http://example.com/webhooks",
"webhook_failover_url": "https://backup.example.com/hooks",
"use_profile_webhooks": true,
"type": "MMS"
}
'{
"data": {
"record_type": "message",
"direction": "outbound",
"id": "40385f64-5717-4562-b3fc-2c963f66afa6",
"type": "MMS",
"messaging_profile_id": "4000eba1-a0c0-4563-9925-b25e842a7cb6",
"organization_id": "b448f9cc-a842-4784-98e9-03c1a5872950",
"from": {
"phone_number": "+18445550001",
"carrier": "TELNYX LLC",
"line_type": "VoIP"
},
"to": [
{
"phone_number": "+18665550001",
"status": "queued",
"carrier": "T-MOBILE USA, INC.",
"line_type": "Wireless"
}
],
"cc": [],
"text": "Hello, World!",
"num_chars": 13,
"subject": "From Telnyx!",
"media": [
{
"url": "https://pbs.twimg.com/profile_images/1142168442042118144/AW3F4fFD_400x400.png",
"content_type": null,
"sha256": null,
"size": null
}
],
"webhook_url": "https://www.example.com/hooks",
"webhook_failover_url": "https://backup.example.com/hooks",
"encoding": "GSM-7",
"parts": 1,
"tags": [
"Greetings"
],
"cost": {
"amount": "0.0051",
"currency": "USD"
},
"cost_breakdown": {
"carrier_fee": {
"amount": "0.00305",
"currency": "USD"
},
"rate": {
"amount": "0.00205",
"currency": "USD"
}
},
"tcr_campaign_id": "TCPA3X7",
"tcr_campaign_billable": true,
"tcr_campaign_registered": "REGISTERED",
"received_at": "2019-01-23T18:10:02.574Z",
"sent_at": null,
"completed_at": null,
"valid_until": null,
"errors": [],
"wait_seconds": 0.5
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}